Subject: Re: [PATCH net-next v3] page_pool: check for dma_sync_size earlier

From: Furong Xu <[email-masked]>
Date: Mon, 6 Jan 2025 11:31:23 +0800

On Mon, 6 Jan 2025 11:15:45 +0800, Jason Xing <[email-masked]> wrote:

> On Mon, Jan 6, 2025 at 11:02 AM Furong Xu <[email-masked]> wrote:
> >
> > Setting dma_sync_size to 0 is not illegal, fec_main.c and ravb_main.c
> > already did.
> > We can save a couple of function calls if check for dma_sync_size earlier.
> >
> > This is a micro optimization, about 0.6% PPS performance improvement
> > has been observed on a single Cortex-A53 CPU core with 64 bytes UDP RX
> > traffic test.
> >
> > Before this patch:
> > The average of packets per second is 234026 in one minute.
> >
> > After this patch:
> > The average of packets per second is 235537 in one minute.  
> 
> Sorry, I keep skeptical that this small improvement can be statically
> observed? What exact tool or benchmark are you using, I wonder?

A x86 PC send out UDP packet and the sar cmd from Sysstat package to report
the PPS on RX side:
sar -n DEV 60 1